from django.contrib import admin

from .models import Cost, Good, Service, CostUse, GoodUse


class GoodUseInline(admin.TabularInline):
    model = GoodUse
    extra = 1


class CostUseInline(admin.TabularInline):
    model = CostUse
    extra = 1


@admin.register(Cost)
class CostAdmin(admin.ModelAdmin):
    list_display = ('name', 'price')


@admin.register(Good)
class GoodAdmin(admin.ModelAdmin):
    list_display = ('name', 'price', 'provisioning_duration')


@admin.register(Service)
class ServiceAdmin(admin.ModelAdmin):
    inlines = (CostUseInline, GoodUseInline)
